﻿namespace EnotaryoPH.Web.Common.Extensions
{
    public static class StringExtensions
    {
        public static string DefaultIfEmpty(this string s, string defaultValue) => !string.IsNullOrWhiteSpace(s) ? s : (defaultValue ?? string.Empty);

        public static string NullIfWhiteSpace(this string s) => string.IsNullOrWhiteSpace(s) ? null : s;
    }
}